=== debian/changelog ===
monetdb (11.19.9-20150123) unstable; urgency=low

  * Rebuilt.
  * BZ#3467: Field aliases with '#' character excise field names in
    result set.
  * BZ#3605: relational query without result
  * BZ#3619: Missing dll on MonetDB Start
  * BZ#3622: Type resolution error
  * BZ#3624: insert of incomplete or invalid ip address values in
    inet column is silently accepted but the values are not stored (they
    become/show nil)
  * BZ#3626: casting a type without alias results in program contains errors
  * BZ#3628: mclient and ODBC driver report 'type mismatch' when stddev_pop
    used in a select which returns 0 rows
  * BZ#3629: IF THEN ELSEIF always evaluates the first test as true
  * BZ#3630: segv on rel_order_by_column_exp
  * BZ#3632: running make clean twice gives an error in clients/ruby/adapter
  * BZ#3633: Wrong result for HAVING with floating-point constant
  * BZ#3640: Missing implementation of scalar function: sql_sub(<date>,
    <month interval>)
  * BZ#3641: SQL lexer fails to detect string end if it the last character
    is U+FEFF ZERO WIDTH NO-BREAK SPACE
  * BZ#3642: Combined WHERE conditions less-than plus equals-to produce
    incorrect results
  * BZ#3643: Missing implementations of scalar function: sql_sub(<timetz>,
    arg2)
  * BZ#3644: COPY INTO fails to import "inet" data type when value has
    prefix length in CIDR notation
  * BZ#3646: ORDER BY clause does not produce proper results on 'inet'
    datatype
  * BZ#3649: recycler crashes with concurrent transactions

 -- Sjoerd Mullender <sjoerd@acm.org>  Fri, 23 Jan 2015 13:21:50 +0100

monetdb (11.19.7-20141121) unstable; urgency=low

  * Rebuilt.

 -- Sjoerd Mullender <sjoerd@acm.org>  Fri, 21 Nov 2014 10:14:18 +0100

monetdb (11.19.5-20141120) unstable; urgency=low

  * Rebuilt.
  * BZ#3580: cosmetic change (append newline)
  * BZ#3609: Incorrect use of generate_series
  * BZ#3611: quantile() and median() commands crash when used 2x on the
    same variable on a null table
  * BZ#3612: assertion failure when deleting rows from table to which a
    FK constraint is defined
  * BZ#3620: ORDER BY broken when using UNION ALL
  * BZ#3621: Hexadecimal literal vs decimal literal

 -- Sjoerd Mullender <sjoerd@acm.org>  Thu, 20 Nov 2014 10:37:22 +0100

monetdb (11.19.3-20141028) unstable; urgency=low

  * Rebuilt.

 -- Sjoerd Mullender <sjoerd@acm.org>  Tue, 28 Oct 2014 09:02:24 +0100

monetdb (11.19.1-20141024) unstable; urgency=low

  * Rebuilt.
  * BZ#2618: Implement master slave scheme
  * BZ#2945: evaluation of SQL "between SYMMETRIC" requires MAL iterator
    because there is no (bulk) MIN/MAX(a,b)
  * BZ#3204: monetdb create: allow setting admin password during creation
  * BZ#3390: Missing definition for pushSht in monetdb5/mal/mal_builder.h
  * BZ#3402: We should have a C implementation of mal.multiplex.
  * BZ#3422: Segmentation fault after large table insert
  * BZ#3459: incomplete implementation of JDBC driver getNumericFunctions(),
    getStringFunctions(), getSystemFunctions(), getTimeDateFunctions(),
    getSQLKeywords() methods in MonetDatabaseMetaData.java
  * BZ#3471: JDBC driver: incorrect output result of SQL query: SELECT 1 ;
  * BZ#3474: bulk and scalar versions of mkey.rotate_xor_hash differ
  * BZ#3484: COPY INTO on a file works fine on Linux/OSX, but not on Windows
  * BZ#3488: Slow SQL execution for correlated scalar subquery
  * BZ#3489: SQL query with ORDER BY does not order its result as requested
  * BZ#3490: SQL query kills the mserver5 (Segmentation fault)
  * BZ#3491: SQL query kills the mserver5 (Segmentation fault)
  * BZ#3493: Test monetdb5/modules/mal/Tests/pqueue.mal fails since
    recent checkins
  * BZ#3494: Tests monetdb5/modules/mal/Tests/pqueue[23].mal lack
    correct/expected/intended output
  * BZ#3495: Test sql/test/centipede/Tests/olap.sql lacks
    correct/expected/intended output
  * BZ#3497: monetdb start reports crash in merovingian.log
  * BZ#3498: SQL throws TypeException if aggregations and limit statements
    are both present
  * BZ#3502: Database was killed by signal SIGBUS
  * BZ#3504: COPY INTO does not allow OFFSET without specifying amount
    of records
  * BZ#3505: expression with <boolean> = NOT <boolean> returns a syntax
    error but NOT <boolean> = <boolean> not
  * BZ#3506: conversion to varchar terminates mserver
  * BZ#3508: conversion of string '0   ' to type smallint or integer fails
  * BZ#3510: timestamp + month interval generates bogus MAL?
  * BZ#3511: When having multiple selections combined with aliases not
    all of them seem to be evalauted.
  * BZ#3512: auto-conversion of string to `sht` type no longer works
  * BZ#3513: COPY BINARY INTO fails on 6gb file; works fine on 3gb
  * BZ#3516: inserting '0' into a column of datatype numeric fails
  * BZ#3518: UNION with subqueries
  * BZ#3521: large results of function exp() are not automatically returned
    as double
  * BZ#3522: SQL catalog table sys.columns lists columns for table ids
    which do not exist in sys.tables
  * BZ#3523: Window function over union gives no result
  * BZ#3524: wrong error on missing aggregation column
  * BZ#3527: select distinct - order by - limit 2 results in one single
    result
  * BZ#3528: segfault at mal_session.c:521
  * BZ#3532: several geom tests crash after manifold changes
  * BZ#3534: missing table name with invalid column in join using (and
    problems after resolving it)
  * BZ#3536: program contains error with join using integer and smallint
  * BZ#3542: gdk/gdk_bat.c:2904: BATassertHeadProps: Assertion
    `!b->H->revsorted || cmp >= 0' failed.
  * BZ#3543: invalid behavior and incorrect data results for SQL data
    type: numeric(4,4)
  * BZ#3544: sys.reuse() corrupts data
  * BZ#3546: Division by zero in CASE statement that should avoid it
  * BZ#3547: Empty query when selecting a field from a view made of
    UNION ALL
  * BZ#3551: Wrong ticks in TRACE
  * BZ#3552: incorrect data results for "WHERE int_col <> 0"

