=== debian/control ===
Source: monetdb
Section: misc
Priority: extra
Maintainer: MonetDB BV <info@monetdb.org>
Homepage: http://www.monetdb.org/
Vcs-Browser: http://dev.monetdb.org/hg/MonetDB/
Vcs-Hg: http://dev.monetdb.org/hg/MonetDB/
# for Build-Depends and Depends syntax, see
# http://www.debian.org/doc/debian-policy/ch-relationships.html
Build-Depends: debhelper (>= 5), autotools-dev, bison, libbz2-dev,
 libcurl4-gnutls-dev, libgeos-dev (>= 3.0.0), libgsl0-dev, libpcre3-dev,
 libreadline-gplv2-dev | libreadline-dev, libssl-dev, libxml2-dev, perl,
 ruby, rubygems | libyaml-0-2, unixodbc-dev, uuid-dev, zlib1g-dev,
 python, python3,
 libbam-dev, pkg-config
# Build-Depends: libraptor1-dev
Standards-Version: 3.8.0
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.0

Package: libmonetdb11
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libmonetdb1, libmonetdb2
Replaces: libmonetdb1, libmonetdb2
Description: MonetDB core library
 MonetDB is a database management system that is developed from a
 main-memory perspective with use of a fully decomposed storage model,
 automatic index management, extensibility of data types and search
 accelerators.  It also has an SQL frontend.
 .
 This package contains the core components of MonetDB in the form of a
 single shared library.  If you want to use MonetDB, you will certainly
 need this package, but you will also need at least the monetdb5-server
 package, and most likely also monetdb5-sql, as well as one or
 more client packages.

Package: libmonetdb-dev
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libmonetdb11
Description: MonetDB development files
 MonetDB is a database management system that is developed from a
 main-memory perspective with use of a fully decomposed storage model,
 automatic index management, extensibility of data types and search
 accelerators.  It also has an SQL frontend.
 .
 This package contains files needed to develop extensions to the core
 functionality of MonetDB.

Package: libmonetdb-stream6
Conflicts: libmonetdb-stream2
Replaces: libmonetdb-stream2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: MonetDB stream library
 MonetDB is a database management system that is developed from a
 main-memory perspective with use of a fully decomposed storage model,
 automatic index management, extensibility of data types and search
 accelerators.  It also has an SQL frontend.
 .
 This package contains a shared library (libstream) which is needed by
 various other components.

Package: libmonetdb-stream-dev
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libmonetdb-stream6
Description: MonetDB stream library development files
 MonetDB is a database management system that is developed from a
 main-memory perspective with use of a fully decomposed storage model,
 automatic index management, extensibility of data types and search
 accelerators.  It also has an SQL frontend.
 .
 This package contains the files to develop with the
 libmonetdb-stream6 library.

Package: libmonetdb-client7
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libmonetdb-client1, libmonetdb-client2
Replaces: libmonetdb-client1, libmonetdb-client2
Description: MonetDB client/server interface library
 MonetDB is a database management system that is developed from a
 main-memory perspective with use of a fully decomposed storage model,
 automatic index management, extensibility of data types and search
 accelerators.  It also has an SQL frontend.
 .
 This package contains a shared library (libmapi) which is needed by
 various other components.

Package: libmonetdb-client-dev
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libmonetdb-client7
Description: MonetDB client/server interface library development files
 MonetDB is a database management system that is developed from a
 main-memory perspective with use of a fully decomposed storage model,
 automatic index management, extensibility of data types and search
 accelerators.  It also has an SQL frontend.
 .
 This package contains the files to develop with the libmonetdb-client7
 library.

Package: monetdb-client
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: MonetDB database client
 MonetDB is a database management system that is developed from a
 main-memory perspective with use of a fully decomposed storage model,
 automatic index management, extensibility of data types and search
 accelerators.  It also has an SQL frontend.
 .
 This package contains mclient, the main client program to communicate
 with the MonetDB database server, and msqldump, a program to dump the
 SQL database so that it can be loaded back later.  If you want to use
 MonetDB, you will very likely need this package.

Package: monetdb-client-tools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, monetdb-client
Description: MonetDB database client
 MonetDB is a database management system that is developed from a
 main-memory perspective with use of a fully decomposed storage model,
 automatic index management, extensibility of data types and search
 accelerators.  It also has an SQL frontend.
 .
 This package contains stethoscope and tomograph.  These tools can be
 used to monitor the MonetDB database server.

Package: libmonetdb-client-odbc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libmonetdb-client-odbc1, libmonetdb-client-odbc-dev
Replaces: libmonetdb-client-odbc1, libmonetdb-client-odbc-dev
Description: MonetDB ODBC driver
 MonetDB is a database management system that is developed from a
 main-memory perspective with use of a fully decomposed storage model,
 automatic index management, extensibility of data types and search
 accelerators.  It also has an SQL frontend.
 .
 This package contains the MonetDB ODBC driver.

Package: php5-monetdb-client
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, php5-common
Description: MonetDB php5 client module
 MonetDB is a database management system that is developed from a
 main-memory perspective with use of a fully decomposed storage model,
 automatic index management, extensibility of data types and search
 accelerators.  It also has an SQL frontend.
 .
 This package contains the files needed to use MonetDB from a PHP
 program.

Package: perl-monetdb-client
Architecture: any
Depends: ${shlibs:Depends}, ${perl:Depends}
Provides: ${perl:Provides}
Conflicts: libmonetdb-client-perl
Replaces: libmonetdb-client-perl
Description: MonetDB perl client code
 MonetDB is a database management system that is developed from a
 main-memory perspective with use of a fully decomposed storage model,
 automatic index management, extensibility of data types and search
 accelerators.  It also has an SQL frontend.
 .
 This package contains the files needed to use MonetDB from a Perl
 program.

Package: ruby-monetdb-client
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, libruby1.8
Description: MonetDB Ruby client module
 MonetDB is a database management system that is developed from a
 main-memory perspective with use of a fully decomposed storage model,
 automatic index management, extensibility of data types and search
 accelerators.  It also has an SQL frontend.
 .
 This package contains the files needed to use MonetDB from a Ruby
 program.

Package: monetdb-client-testing
Architecture: any
Depends: ${shlibs:Depends}, libmonetdb-client-odbc, monetdb5-server, perl-monetdb-client, php5-monetdb-client, python-monetdb, monetdb5-sql
Description: MonetDB client testing tools
 MonetDB is a database management system that is developed from a
 main-memory perspective with use of a fully decomposed storage model,
 automatic index management, extensibility of data types and search
 accelerators.  It also has an SQL frontend.
 .
 This package contains the sample MAPI programs used for testing other
 MonetDB packages.  You probably don't need this, unless you are a
 developer.

Package: libmonetdb5-server-geom
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, monetdb5-sql
Conflicts: libmonetdb5-server-geom0, monetdb-geom, monetdb-geom-dev
Replaces: libmonetdb5-server-geom0, monetdb-geom, monetdb-geom-dev
Description: MonetDB5 SQL GIS support module
 MonetDB is a database management system that is developed from a
 main-memory perspective with use of a fully decomposed storage model,
 automatic index management, extensibility of data types and search
 accelerators.  It also has an SQL frontend.
 .
 This package contains the GIS (Geographic Information System)
 extensions for MonetDB-SQL-server5.

Package: libmonetdb5-server-gsl
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, monetdb5-sql
Description: MonetDB5 SQL GIS support module
 MonetDB is a database management system that is developed from a
 main-memory perspective with use of a fully decomposed storage model,
 automatic index management, extensibility of data types and search
 accelerators.  It also has an SQL frontend.
 .
 This package contains the interface to the GNU Scientific Library for
 numerical analysis (gsl).

Package: libmonetdb5-server-bam
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, monetdb5-sql
Description: MonetDB5 SQL GIS support module
 MonetDB is a database management system that is developed from a
 main-memory perspective with use of a fully decomposed storage model,
 automatic index management, extensibility of data types and search
 accelerators.  It also has an SQL frontend.
 .
 This package contains the interface to load and query BAM (binary
 version of Sequence Alignment/Map) data.

Package: monetdb5-server
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, adduser
Conflicts: libmonetdb5-server5, libmonetdb5-server-dev, libmonetdb1, libmonetdb-dev
Replaces: libmonetdb5-server5, libmonetdb5-server-dev
Description: MonetDB database server version 5
 MonetDB is a database management system that is developed from a
 main-memory perspective with use of a fully decomposed storage model,
 automatic index management, extensibility of data types and search
 accelerators.  It also has an SQL frontend.
 .
 This package contains the MonetDB server component.  You need this
 package if you want to use the MonetDB database system.  If you want
 to use the SQL frontend, you also need monetdb5-sql.

Package: monetdb5-server-dev
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, monetdb5-server
Description: MonetDB database server version 5
 MonetDB is a database management system that is developed from a
 main-memory perspective with use of a fully decomposed storage model,
 automatic index management, extensibility of data types and search
 accelerators.  It also has an SQL frontend.
 .
 This package contains files needed to develop extensions that can be
 used from the MAL level.

Package: monetdb5-sql
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, monetdb5-server (= ${source:Version})
Conflicts: libmonetdb5-sql2
Replaces: libmonetdb5-sql2
Description: MonetDB SQL support for monetdb5
 MonetDB is a database management system that is developed from a
 main-memory perspective with use of a fully decomposed storage model,
 automatic index management, extensibility of data types and search
 accelerators.  It also has an SQL frontend.
 .
 This package contains the SQL frontend for MonetDB.

Package: monetdb-testing
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: MonetDB testing programs
 MonetDB is a database management system that is developed from a
 main-memory perspective with use of a fully decomposed storage model,
 automatic index management, extensibility of data types and search
 accelerators.  It also has an SQL frontend.
 .
 This package contains the programs and files needed for testing the
 MonetDB packages.  You probably don't need this, unless you are a
