=== debian/rules ===
#!/usr/bin/make -f

# The contents of this file are subject to the MonetDB Public License
# Version 1.1 (the "License"); you may not use this file except in
# compliance with the License. You may obtain a copy of the License at
# http://www.monetdb.org/Legal/MonetDBLicense
#
# Software distributed under the License is distributed on an "AS IS"
# basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
# License for the specific language governing rights and limitations
# under the License.
#
# The Original Code is the MonetDB Database System.
#
# The Initial Developer of the Original Code is CWI.
# Portions created by CWI are Copyright (C) 1997-July 2008 CWI.
# Copyright August 2008-2015 MonetDB B.V.
# All Rights Reserved.

DH_VERBOSE=1

%:
	dh $@ --parallel --with python2,python3

override_dh_auto_configure:
	dh_auto_configure -- \
	--enable-assert=no \
	--enable-console=yes \
	--enable-datacell=no \
	--enable-debug=no \
	--enable-developer=no \
	--enable-fits=no \
	--enable-gdk=yes \
	--enable-geom=yes \
	--enable-gsl=yes \
	--enable-instrument=no \
	--enable-jdbc=no \
	--enable-merocontrol=no \
	--enable-microhttpd=no \
	--enable-monetdb5=yes \
	--enable-odbc=yes \
	--enable-oid32=no \
	--enable-optimize=yes \
	--enable-profile=no \
	--enable-rdf=no \
	--enable-rintegration=no \
	--enable-sql=yes \
	--enable-strict=no \
	--enable-testing=yes \
	--with-ant=no \
	--with-bz2=yes \
	--with-geos=yes \
	--with-hwcounters=no \
	--with-java=no \
	--with-mseed=no \
	--with-perl=yes \
	--with-perl-libdir=lib/perl5 \
	--with-pthread=yes \
	--with-python2=yes \
	--with-python3=yes \
	--with-readline=yes \
	--with-rubygem=yes \
	--with-rubygem-dir=lib/ruby/gems/1.8 \
	--with-samtools=yes \
	--with-sphinxclient=no \
	--with-unixodbc=yes \
	--with-valgrind=no

# currently the test suite fails
override_dh_auto_test:

override_dh_clean:
	dh_clean
	cd clients/python2 && python setup.py clean
	cd clients/python3 && python3 setup.py clean

override_dh_python2:
	dh_python2 clients/python2

override_dh_python3:
	dh_python3 clients/python3
